com.h3c.util.filter

## Enum ComparableCondition.Mode

- java.lang.Object
- - java.lang.Enum<ComparableCondition.Mode>
  - - com.h3c.util.filter.ComparableCondition.Mode

- All Implemented Interfaces:
    Serializable, Comparable<ComparableCondition.Mode>
  Enclosing class:
    ComparableCondition<D extends Comparable<D>>

      public static enum ComparableCondition.Mode
      extends Enum<ComparableCondition.Mode>

  Condition mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL` Elements that are equal to the specified value are selected by the condition.
    `GREATER_THAN` Elements that are greater than the specified value are selected by the condition.
    `GREATER_THAN_OR_EQUAL_TO` Elements that are greater than or equal to the specified value are selected by the condition.
    `LESS_THAN` Elements that are less than the specified value are selected by the condition.
    `LESS_THAN_OR_EQUAL_TO` Elements that are less than or equal to the specified value are selected by the condition.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComparableCondition.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComparableCondition.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LESS_THAN

          public static final ComparableCondition.Mode LESS_THAN

      Elements that are less than the specified value are selected by the condition.

    - #### LESS_THAN_OR_EQUAL_TO

          public static final ComparableCondition.Mode LESS_THAN_OR_EQUAL_TO

      Elements that are less than or equal to the specified value are selected by the condition.

    - #### EQUAL

          public static final ComparableCondition.Mode EQUAL

      Elements that are equal to the specified value are selected by the condition.

    - #### GREATER_THAN_OR_EQUAL_TO

          public static final ComparableCondition.Mode GREATER_THAN_OR_EQUAL_TO

      Elements that are greater than or equal to the specified value are selected by the condition.

    - #### GREATER_THAN

          public static final ComparableCondition.Mode GREATER_THAN

      Elements that are greater than the specified value are selected by the condition.

  - ### Method Detail

    - #### values

          public static ComparableCondition.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComparableCondition.Mode c : ComparableCondition.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComparableCondition.Mode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.